package com.hzya.frame.plugin.lets.u8cdto;

import com.hzya.frame.plugin.lets.entity.*;
//import com.hzya.frame.ttxofs.dto.ofspoorder.OfsPoOrderData;
import com.hzya.frame.ttxofs.dto.ofspoorder.OfsPoOrderData;
import com.hzya.frame.ttxofs.dto.ofspurchasereturnorder.PurchaseReturnOrder;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.DetailsDto;
import com.hzya.frame.ttxofs.dto.ofssaleorderoutsearch.HeaderDto;
import lombok.Data;

import java.util.List;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.u8cdto
 * @Project：kangarooDataCenterV3
 * @name：PoOrderSonDto
 * @Date：2024/8/20 14:51
 * @Filename：PoOrderSonDto
 */
@Data
public class PoOrderRerturnSonDto extends HeaderDto {
    /**
     * 采购公司
     */
    private BdCorpEntity bdCorpEntity;

    /**
     * 采购部门
     */
    private BdDeptdocEntity bdDeptdocEntity;

    /**
     * 采购组织
     */
    private BdPurorgEntity bdPurorgEntity;

    /**
     * 客商基本档案-供应商
     */
    private BdCubasdocEntity bdCubasdocEntity;

    /**
     * 客商管理档案-供应商
     */
    private BdCumandocEntity bdCumandocEntity;

    /**
     * 明细行
     */
    private List<DetailsDto> details;

    /**
     * OFS采购订单
     */
//    private OfsPoOrderData ofsPoOrderData;

    /**
     * 收货库存组织
     */
    private BdCalbodyEntity bdCalbodyEntity;

    /**
     * 收货仓库
     */
    private BdStordocEntity bdStordocEntity;

    /**
     * O采退订单
     */
    private PurchaseReturnOrder purchaseReturnOrder;

    /**
     * O采购订单(关联查询)
     */
    private OfsPoOrderData ofsPoOrderData;
}
