package com.hzya.frame.plugin.lets.ofsvo;

import lombok.Data;

/**
 * ofs 销售退货单查询 请求类
 */
@Data
public class QueryReturnOrderRequestVO {
    /** 开始时间 */
    private String created_start;
    /** 结束时间 */
    private String created_end;
    /** 退款开始时间 */
    private String refundedAt_start;
    /** 退款结束时间 */
    private String refundedAt_end;
    /** 组织 */
    private String clientCode;
    /** 调拨订单 */
    private String code;
    /** 状态 */
    private String status;
    /** 订单类型   OFS数据字典 INTERNAL_ORDER_TYPE*/
    private String internalOrderType;
    /** 销售订单类型   OFS数据字典 INTERNAL_ORDER_TYPE*/
    private String refOrderType;

    /** 销售订单编号 */
    private String refOrderCode;

    /** 货主 */
    private String companyCode;
    /** 库存地点 */
    private String facilityCode;
    /** 分页页数 */
    private Long pageNo;
    /** 每页条数 1-500,默认50 */
    private Long pageSize;
}
