package com.hzya.frame.plugin.lets.u8cdto;

import lombok.Data;

/**
 * @Author
 * @Date 2024/8/6 16:14
 * @PackageName:com.hzya.frame.plugin.lets.plugin.base.vo
 * @ClassName: parentvo
 * @Description: 客商基本档案
 */
@Data
public class CustdocEntityDto {
    //客商基本档案主键(修改时必填,新增时禁止传入)

    private String pk_cubasdoc;
    //默认账户
    private String accdefault;
    //呼机1
    private String bp1;
    //呼机2
    private String bp2;
    //呼机3
    private String bp3;
    //通信地址
    private String conaddr;
    //创建时间
    private String createtime;
    //创建人
    private String creator;
    //信用额度
    private String creditmny;
    //客商编码
    private String custcode;
    //客商名称
    private String custname;
    //客商类型 0 - 外部单位,1 - 内部核算单位,2 - 内部法人单位,3 - 内部渠道成员)
    private String custprop;
    //客商简称
    private String custshortname;

    private String def1;

    private String def10;

    private String def11;

    private String def12;

    private String def13;

    private String def14;

    private String def15;

    private String def16;

    private String def17;

    private String def18;

    private String def19;

    private String def2;
    private String def20;

    private String def3;

    private String def4;

    private String def5;

    private String def6;

    private String def7;

    private String def8;

    private String def9;
    //是否drp节点
    private boolean drpnodeflag;
    //经济类型(填写编码)
    private String ecotypesincevfive;
    //e-mail地址
    private String email;
    //外文名称
    private String engname;
    //传真1
    private String fax1;
    //传真2
    private String fax2;
    //是否散户
    private boolean freecustflag;
    //是否渠道成员
    private boolean isconnflag;
    //法人
    private String legalbody;
    //联系人1
    private String linkman1;
    //联系人2
    private String linkman2;
    //联系人3
    private String linkman3;
    //备注
    private String memo;
    //助记码
    private String mnecode;
    //手机1
    private String mobilephone1;
    //手机2
    private String mobilephone2;
    //手机3
    private String mobilephone3;
    //修改人
    private String modifier;
    //修改时间
    private String modifytime;
    //电话1
    private String phone1;
    //电话2
    private String phone2;
    //电话3
    private String phone3;
    //所属地区(填写编码)
    private String pk_areacl;
    //公司主键（填写对应编码）
    private String pk_corp;
    //对应公司(填写编码)
    private String pk_corp1;
    //客商总公司编码(填写编码)
    private String pk_cubasdoc1;
    //价格分组(填写编码)
    private String pk_pricegroup;
    //注册资金
    private String registerfund;
    //营业地址
    private String saleaddr;
    //封存标志
    private String sealflag;
    //纳税人登记号
    private String taxpayerid;
    //所属行业(填写编码)
    private String trade;
    //web网址
    private String url;
    //邮政编码
    private String zipcode;

}


